| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCatmullRomSpline Class Reference
[Geometry utilities]

A CatmullRom spline. More...

`#include <csgeom/spline.h>`

Inheritance diagram for csCatmullRomSpline:

[legend]
List of all members.

## Public Member Functions
csCatmullRomSpline * | Clone ()
| Clones the spline.
| csCatmullRomSpline (int d, int p)
| Create a CatmullRom spline with d dimensions and p points.
virtual | ~csCatmullRomSpline ()
| Destroy the spline.
## Protected Member Functions
virtual float | BaseFunction (int i, float t) const
| Base function for a cubic CatmullRom spline (i=-2..1).

## Detailed Description

A CatmullRom spline.

Definition at line 220 of file spline.h.

## Constructor & Destructor Documentation

csCatmullRomSpline::csCatmullRomSpline | ( | int | d,
|  | int | p |
| ) |  |  | `[inline]`

Create a CatmullRom spline with d dimensions and p points.

Definition at line 228 of file spline.h.

virtual csCatmullRomSpline::~csCatmullRomSpline | ( |  | ) | `[inline, virtual]`

Destroy the spline.

Definition at line 231 of file spline.h.

## Member Function Documentation

virtual float csCatmullRomSpline::BaseFunction | ( | int | i,
|  | float | t |
| ) |  |  | const`[protected, virtual]`

Base function for a cubic CatmullRom spline (i=-2..1).

Reimplemented from csBSpline.

csCatmullRomSpline* csCatmullRomSpline::Clone | ( |  | ) |

Clones the spline.

The documentation for this class was generated from the following file:

- csgeom/spline.h